IntegrationsShopify

Get the store profile: name, domains, currency, timezone, plan.

POST
/integrations/connections/{connection_id}/providers/shopify/shop/get

Get the store profile: name, domains, currency, timezone, plan.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/shop/get" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "example",  "name": "Customer documents",  "myshopify_domain": "example",  "primary_domain": "example",  "contact_email": "example",  "currency_code": "example",  "enabled_presentment_currencies": [],  "timezone": "example",  "country_code": "example",  "plan_name": "example",  "weight_unit": "example",  "taxes_included": false,  "created_at": "example"}